Subject: Re: bug#23574: 24.5; Overzealous underlining in emacs-nox

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jun 2016 21:36:01 +0300

> From: Colin Woodbury <[email-masked]>
> Date: Sun, 5 Jun 2016 11:20:24 -0700
> Cc: Noam Postavsky <[email-masked]>, [email-masked], 
> 	[email-masked]
> 
> Interesting that you consider the the GUI _not_ displaying the face all the way to end of screen to be a bug.

It's not a bug, it's the intended behavior.  On GUI frames, the
display engine only makes sure to extend the face if it has one or
more of the following attributes:

  . background color
  . stipple
  . box

> I think only displaying to the end of the characters (as shown in images in the Github issue) is the expected
> behaviour. Otherwise, the screen (at least with underlining) gets quite noisy.

Why would you have underlining span several lines if you don't want
that effect?  (I admit I didn't really understand the original use
case which prompted this report.)

Anyway, you've just heard of another application which would like the
GUI frames behave like TTYs, not the other way around.